# Choix des capteurs

Afin de mesurer différentes variables dans l'environnement du système, nous utiliserons différents capteurs.

Conditions de cet environnement :
- chaleur pouvant monter jusqu'à 35°C, donc potentiellement plus dans une boîte fermée
- humidité importante pouvant aller jusqu'à 90%
- dans la forêt

Liste de capteurs à utiliser
- capteur de température
- capteur d'humidité
- capteur de mouvement

Nos critères principaux sont le prix, la gamme de températures à mesurer et la consommation d'énergie.

Un [document Excel](./Capteurs.xlsx) recense les différents capteurs trouvés ainsi que quelques caractéristiques intéressantes.


## Capteur d'humidité

À l'aide de ce site[^1], on découvre qu'il existe 3 types de capteurs : les capteurs capacitifs, les capteurs résistifs et les capteurs à point de rosée.

Dans notre cas, nous pouvons déjà éliminer les capteurs à point de rosée. En effet, dans notre cas, il sera impossible de garder l'environnement propre.

De plus, le capteur résistif ne convient pas, car il ne convient pas pour les conditions extrêmes, et est sensible à la condensation et aux produits chimiques.

Ainsi, le capteur qui semble convenir est le capteur capacitif.

[^1]: https://guide.directindustry.com/fr/bien-choisir-un-capteur-dhumidite/


## Piste suggérée par Kamel

Après être allé voir Kamel, il m'a conseillé d'utiliser des capteurs présents dans les sèche-linge. Il m'a aussi conseillé les capteurs SHT. En voici un exemple :

Capteur SHT30 SEN0330

Caractéristiques :

* Alimentation: 2,15 à 5,5 Vcc
* Consommation: < 1,5 mA
* Interface: I2C
* Adresse I2C: 0x45 par défaut (0x44 via pontet à souder)
* Plage de mesure:  
    \- Température: -40 à 125 °C  
    \- Humidité: 0 à 100 %RH
* Précision:  
    \- Température: ± 0,2 °C de 0 à 65 °C  
    \- Humidité: ± 2% de 10 à 90 %RH
* Dimensions: 19 x 16 mm

## Capteur retenu

En comparant plusieurs capteurs d'humidité et de température, le capteur qui semble le plus intéressant est le capteur AM2320.

https://www.gotronic.fr/art-capteur-de-t-et-d-humidite-am2320-27959.htm

* Alimentation: 3,3 à 5 Vcc
* Consommation maxi: 1 mA
* Consommation au repos: 50 µA
* Interface: I2C
* Adresse par defaut: 0x5C (non modifiable)
* Plage de mesure:  
    \- température: -40 à +80 °C  
    \- humidité: 0 à 99,9 % RH
* Précision:  
    \- température: ± 0,5 °C  
    \- humidité: ± 3 % RH
* Dimensions: 23 x 12 x 5 mm