# La prise de photo déportée

## Avertissement

*Il est important de retenir que lors de la création de la prise jack, les fils noirs et rouges ont été inversés. La prise jack se décompose en 3 fils : le fil rouge, le fil noir et le fil bleu. Le fil rouge correspond à la masse, le fil noir à la borne + et le bleu [raison inconnue]*

## Pourquoi prendre des photos de manière déportée ?

Étant donné que nous devons réussir à contrôler l'appareil photo de manière automatisée (c'est-à-dire sans appuyer sur les boutons), il faudrait donc le contrôler électriquement.

## 1. Principe théorique

Des tutoriels trouvés sur Internet nous ont permis de comprendre que les déclencheurs d'appareils photo à distance, et plus spécifiquement pour la marque Lumix, sont composés de lames de métal et de résistances. Lorsqu'on presse un bouton, cela ferme le circuit et permet d'envoyer une certaine tension à l'appareil photo. Selon la tension reçue, l'appareil photo reçoit pour consigne de réaliser une mise au point ou de prendre une photo.

## 2. En pratique

Le montage pratique a donc été réalisé à l'aide des ressources trouvées.

Composants nécessaires :
- breadboard
- appareil photo Lumix DMC-G5
- câbles
- batterie au plomb 12 V
- régulateur de tension LM-351
- potentiomètre
- transistor
- résistance de 33 $k\Omega$
- résistance de 2 $k\Omega$
- résistance de 3 $k\Omega$
- microcontrôleur STM23

![Schéma de montage](./Images%20et%20sch%C3%A9mas/Schematic_Projet_2023-01-14.svg)

### 2.1. Montage simple sans interrupteur

Pour se brancher sur l'appareil photo, on utilise un embout de type jack auquel on soude 3 câbles.

### 2.2. Montage avec transistors

Ce montage a pour avantage de présenter une entrée utilisable par un microcontrôleur. Nous pensons qu'il serait possible de déclencher la prise de photo par la mise à l'état haut ou bas de la ligne.

![schéma de montage](./Images%20et%20sch%C3%A9mas/schema_prise_jack.png)

### 2.3. Montage avec microcontrôleur

Ici, nous additionnons le montage précédent à l'aide de transistors afin de commander le tout via un microcontrôleur.

## Autre système

Suite à la soutenance du 20/01/2023, M. Canals nous a fait remarquer que le système utilisé dans le schéma dans la partie 2.2 est inefficace en termes d'énergie. En effet, les transistors utilisés (de simples transistors NPN) consomment beaucoup. On pourrait donc utiliser des transistors MOS, voire supprimer le système entier en le remplaçant par un signal provenant du microcontrôleur.

### Caractérisation de ce signal potentiel

D'abord, il faudrait mesurer le signal aux bornes de la prise jack dans les différentes conditions.

Tension aux bornes de la prise jack avec le montage : 2,4613 V (mesure au multimètre)

| Moyen de mesure                           | Multimètre | Oscilloscope |
|:-----------------------------------------:|:----------:|:------------:|
| Tension aux bornes sans court-circuit (V) | 2,4613     | 2,440        |
Lorsqu'on déclenche la prise de photo en réalisant un court-circuit, cela fait chuter la tension jusqu'à 0,56 V.

![photo de mesure à l'oscilloscope lors de la chute de tension](./Images et schémas/Mesures tensions prise jack/mesure1_oscilloscope.jpg)

Tension aux bornes de la prise jack lorsqu'on déclenche la prise de photo : 2,42 V ou 2,26 V

| Mesure       | 1   | 2   | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 |
|:------------:|:---:|:---:|:-:|:-:|:-:|:-:|:-:|:-:|:-:|:--:|
| Tension (mV) | 600 | 560 |   |   |   |   |   |   |   |    |
Autre mesure à l'oscilloscope : sans déclenchement, on mesure une tension de 1,92 V. Lorsqu'on déclenche l'appareil photo à l'aide du court-circuit, on mesure une baisse de tension à 0,48 V.

Pour une raison inconnue, les deux mesures sont différentes.

## Bibliographie

Arduino Panasonic remote shutter release (DMW-RSL1 disassembly), 2013. [en ligne]. [Consulté le 13 décembre 2022]. Disponible à l’adresse: https://www.youtube.com/watch?v=DNj48nwUjxk

Camera Remote Shutter control for Lumix, 2017. [en ligne]. [Consulté le 13 décembre 2022]. Disponible à l’adresse: https://www.youtube.com/watch?v=p38VHJZr6iE

www.doc-diy.net :: camera remote release pinout list, [sans date]. [en ligne]. [Consulté le 13 décembre 2022]. Disponible à l’adresse: https://www.doc-diy.net/photo/remote_pinout/#lumix

